--[[
	SquidMod
	Author: SAM (recoded by Ganders) - (Grafic Patch by Imithat)
	Version: 2.47
]]

local SquidMod = CreateFrame("Frame")

local textures = {
	"hide",
	"griffon",
	"lion",
	"diablo1",
	"diablo1_roth",
	"diablo2",
	"diablo2_roth",
	"murloc",
	"murloc2",
	"hordecrest",
	"orccrest",
	"allianzcrest",
	"huntercrest",
	"druidcrest",
	"pandacrest",
	"nightelfcrest",
	"priestcrest",
	"huntercrest",
	"dkcrest",
	"magecrest",
	"monkcrest",
	"palacrest",
	"roguecrest",
	"shamancrest",
	"warlockcrest",
	"warriorcrest",
	"worg",
	"bfmage",
	"panda",
	"pandakind",
	"swking",
	"draenei",
	"druidtree",
	"druidbear",
	"lichking",
	"nightelf",
	"onyxia",
	"orc",
	"orc2",
	"ysera",
	"drake",
	"bleach",
	"wowlogo",
	"orbdaemon",
	"yulon",
	"xuen",
	"niuzao",
}

SquidModDB = 2

function SquidMod.SlashCommand(msg)
	local self = SquidMod
	if strlen(msg) > 0 then
		local command = string.lower(msg)
		local help = true
		if ( type(command) == "string" ) then
			for i,v in ipairs(textures) do
				if ( command == string.lower(v) ) then
					self:Update(i)
					DEFAULT_CHAT_FRAME:AddMessage("SquidMod: "..string.lower(v))
					help = false
				end
			end
		elseif ( type(command) == "number" ) then
			if textures[command] ~= nil then
				self:Update(command)
				DEFAULT_CHAT_FRAME:AddMessage("SquidMod: "..string.lower(textures[command]))
				help = false
			end
		end

		if ( help == true ) then
			for i,v in ipairs(textures) do
				DEFAULT_CHAT_FRAME:AddMessage("SquidMod: /squid "..v)
			end
		end
	else
		for i,v in ipairs(textures) do
			DEFAULT_CHAT_FRAME:AddMessage("SquidMod: /squid "..v)
		end
	end
end
		

function SquidMod:Update(toggle)
	if ( toggle == 1 ) then
		MainMenuBarLeftEndCap:Hide()
		MainMenuBarRightEndCap:Hide()
	elseif ( toggle == 29 ) then
		MainMenuBarLeftEndCap:SetTexture("Interface\\AddOns\\SquidMod\\skin\\emblemLeft.tga")
		MainMenuBarRightEndCap:SetTexture("Interface\\AddOns\\SquidMod\\skin\\emblemRight.tga")
		MainMenuBarLeftEndCap:Show()
		MainMenuBarRightEndCap:Show()
	else
		MainMenuBarLeftEndCap:SetTexture("Interface\\AddOns\\SquidMod\\skin\\"..textures[toggle]..".tga")
		MainMenuBarRightEndCap:SetTexture("Interface\\AddOns\\SquidMod\\skin\\"..textures[toggle]..".tga")
		MainMenuBarLeftEndCap:Show()
		MainMenuBarRightEndCap:Show()
	end
	SquidModDB = toggle
end

SquidMod:SetScript("OnEvent", function() SquidMod:Update(SquidModDB) end)
SquidMod:RegisterEvent("PLAYER_LOGIN")

SLASH_SQUID1 = "/squid"
SlashCmdList["SQUID"] = SquidMod.SlashCommand
